- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pn_ipv6security_raguard_vlan – CLI command to add/remove ipv6security-raguard-vlan

New in version 2.9.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to Add vlans to RA Guard Policy and Remove vlans to RA Guard Policy.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string |  | Target switch to run the CLI on.
pn_name string / required |  | RA Guard Policy Name.
pn_vlans string / required |  | Vlans attached to RA Guard Policy.
state string | Choices: present ← absent | ipv6security-raguard-vlan configuration command.

## Examples

    - name: ipv6 security raguard vlan add
      pn_ipv6security_raguard_vlan:
        pn_cliswitch: "sw01"
        pn_name: "foo"
        pn_vlans: "100-105"

    - name: ipv6 security raguard vlan add
      pn_ipv6security_raguard_vlan:
        pn_cliswitch: "sw01"
        pn_name: "foo"
        pn_vlans: "100"

    - name: ipv6 security raguard vlan remove
      pn_ipv6security_raguard_vlan:
        pn_cliswitch: "sw01"
        pn_name: "foo"
        pn_vlans: "100-105"
        state: 'absent'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the ipv6security-raguard-vlan command.
stdout list | always | set of responses from the ipv6security-raguard-vlan command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.